## elasticsearch-curator 3.4.1

=== requirements.txt ===
urllib3>=1.8.3
elasticsearch>=1.8.0,<2.1.0
click>=3.3

## elasticsearch-curator 2.1.2

=== debian/changelog ===
elasticsearch-curator (2.1.2-1) unstable; urgency=low

  * Initial release (closes: #776791)
  * Disable testuite; upstream runs integration tests against a local ES
    instance, erasing existing data.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 02 Feb 2015 13:53:33 +0200

=== debian/control ===
Source: elasticsearch-curator
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python-elasticsearch (>= 1.0.0),
               python3-all,
               python3-setuptools
Build-Depends-Indep: libjs-jquery, python-sphinx (>= 1.0.7+dfsg-1~)
Standards-Version: 3.9.6
Homepage: https://github.com/elasticsearch/curator
Vcs-Browser: http://anonscm.debian.org/viewsvn/python-modules/packages/elasticsearch-curator/trunk
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/elasticsearch-curator/trunk
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: elasticsearch-curator
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-elasticsearch-curator (= ${binary:Version})
Description: command-line tool for managing Elasticsearch time-series indices
 Elasticsearch Curator helps manage Elasticsearch time-series indices. It
 consists of a Python library and a CLI tool providing a high-level interface
 to Elasticsearch administration tasks, such as:
 .
  - Management of index aliases
  - Index optimization
  - Changing the replica count
  - Modifying the shard/index allocation using routing tags
  - Index snapshotting
 .
 This package contains the curator and es_repo_mgr command-line tools.

Package: python-elasticsearch-curator
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-elasticsearch (>= 1.0.0)
Suggests: python-elasticsearch-curator-doc
Description: Python library for managing Elasticsearch time-series indices
 Elasticsearch Curator helps manage Elasticsearch time-series indices. It
 consists of a Python library and a CLI tool providing a high-level interface
 to Elasticsearch administration tasks, such as:
 .
  - Management of index aliases
  - Index optimization
  - Changing the replica count
  - Modifying the shard/index allocation using routing tags
  - Index snapshotting
 .
 This package contains the Python 2 version of the library.

Package: python3-elasticsearch-curator
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-elasticsearch (>= 1.0.0)
Suggests: python-elasticsearch-curator-doc
Description: Python 3 library for managing Elasticsearch time-series indices
 Elasticsearch Curator helps manage Elasticsearch time-series indices. It
 consists of a Python library and a CLI tool providing a high-level interface
 to Elasticsearch administration tasks, such as:
 .
  - Management of index aliases
  - Index optimization
  - Changing the replica count
  - Modifying the shard/index allocation using routing tags
  - Index snapshotting
 .
 This package contains the Python 3 version of the library.

Package: python-elasticsearch-curator-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python library for managing Elasticsearch time-series indices (documentation)
 Elasticsearch Curator helps manage Elasticsearch time-series indices. It
 consists of a Python library and a CLI tool providing a high-level interface
 to Elasticsearch administration tasks, such as:
 .
  - Management of index aliases
  - Index optimization
  - Changing the replica count
  - Modifying the shard/index allocation using routing tags
  - Index snapshotting
 .
 This package contains the Python library documentation.

=== debian/watch ===
version=3

https://github.com/elasticsearch/curator/releases .*/archive/v(.*).tar.gz

## elasticsearch-curator 3.4.1

=== debian/changelog ===
elasticsearch-curator (3.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards to 3.9.7; no changes needed.
  * d/control: Use HTTPS in Vcs-Git.
  * d/copyright: extend to 2016.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 12 Feb 2016 14:32:53 +0200

elasticsearch-curator (3.4.0-1) unstable; urgency=medium

  * New upstream release
    + Elasticsearch 2.0 support
  * Add B-D on python{,3}-click (Closes: #802962)
  * Add DEP-8 tests
  * d/watch: mangle upstream RC versions

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 04 Nov 2015 14:29:48 +0200

elasticsearch-curator (3.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 23 Oct 2015 15:58:59 +0300

elasticsearch-curator (3.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 20 Jul 2015 10:28:20 +0300

elasticsearch-curator (3.2.0-1) unstable; urgency=medium

  * New upstream release
    + Mention breaking changes in debian/NEWS
  * Depend on python-pkg-resources
  * Refresh setup.py-read-README-utf-8 patch

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 10 Jul 2015 14:10:21 +0300

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,23 @@
                dh-python,
                python-all,
                python-setuptools,
+               python-click,
                python-elasticsearch (>= 1.0.0),
                python3-all,
-               python3-setuptools
+               python3-setuptools,
+               python3-click
 Build-Depends-Indep: libjs-jquery, python-sphinx (>= 1.0.7+dfsg-1~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/elasticsearch/curator
-Vcs-Browser: http://anonscm.debian.org/viewsvn/python-modules/packages/elasticsearch-curator/trunk
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/elasticsearch-curator/trunk
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/elasticsearch-curator.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/elasticsearch-curator.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
 Package: elasticsearch-curator
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-elasticsearch-curator (= ${binary:Version})
+Depends: ${misc:Depends}, ${python:Depends}, python-elasticsearch-curator (= ${binary:Version}),
+         python-pkg-resources
 Description: command-line tool for managing Elasticsearch time-series indices
  Elasticsearch Curator helps manage Elasticsearch time-series indices. It
  consists of a Python library and a CLI tool providing a high-level interface
@@ -36,7 +39,8 @@
 
 Package: python-elasticsearch-curator
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-elasticsearch (>= 1.0.0)
+Depends: ${misc:Depends}, ${python:Depends}, python-elasticsearch (>= 1.0.0),
+         python-pkg-resources
 Suggests: python-elasticsearch-curator-doc
 Description: Python library for managing Elasticsearch time-series indices
  Elasticsearch Curator helps manage Elasticsearch time-series indices. It
@@ -53,7 +57,8 @@
 
 Package: python3-elasticsearch-curator
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-elasticsearch (>= 1.0.0)
+Depends: ${misc:Depends}, ${python3:Depends}, python3-elasticsearch (>= 1.0.0),
+         python3-pkg-resources
 Suggests: python-elasticsearch-curator-doc
 Description: Python 3 library for managing Elasticsearch time-series indices
  Elasticsearch Curator helps manage Elasticsearch time-series indices. It

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=elasticsearch-curator

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs Changelog.rst

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -N docs/ docs/.build/html

override_dh_clean:
	rm -rf docs/.build
	dh_clean

override_dh_auto_install:
	dh_auto_install
	mv debian/python-elasticsearch-curator/usr/bin debian/elasticsearch-curator/usr
	rm -rf debian/python3-elasticsearch-curator/usr/bin

# Tests consist mainly of integration tests against a running ES instance (and
# delete all data on it), so disable them. They are better suited for DEP-8.
override_dh_auto_test:

.PHONY: override_dh_auto_test override_dh_installchangelogs override_dh_auto_build \
	override_dh_clean override_dh_auto_install

=== debian/watch ===
version=3

opts="uversionmangle=s/\.rc/~rc/" \
  https://github.com/elasticsearch/curator/releases .*/archive/v(.*).tar.gz

## elasticsearch-curator 4.0.1

=== requirements.txt ===
urllib3>=1.8.3
elasticsearch>=2.3.0,<5.1.0
click>=3.3
pyyaml>=3.10

=== debian/changelog ===
elasticsearch-curator (4.0.1-2) unstable; urgency=medium

  * Restrict intersphinx from downloading object inventory data (Closes:
    #830550):
    + sphinx: use local inventory references for intersphinx
    + B-D on python3-doc and python-elasticsearch-doc

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 22 Jul 2016 23:51:01 +0300

elasticsearch-curator (4.0.1-1) unstable; urgency=medium

  * New upstream release.
  * The 'DebConf16' upload.
  * Bump Standards to 3.9.8; no changes needed.
  * d/watch: uversionmangle upstream's alphas and betas.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 29 Jun 2016 21:02:32 +0200

elasticsearch-curator (3.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 21 Mar 2016 22:58:33 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,13 @@
                python-setuptools,
                python-click,
                python-elasticsearch (>= 1.0.0),
+               python-elasticsearch-doc,
                python3-all,
                python3-setuptools,
-               python3-click
+               python3-click,
+               python3-doc
 Build-Depends-Indep: libjs-jquery, python-sphinx (>= 1.0.7+dfsg-1~)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/elasticsearch/curator
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/elasticsearch-curator.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/elasticsearch-curator.git

## elasticsearch-curator 4.2.5

=== requirements.txt ===
urllib3>=1.8.3
elasticsearch>=2.4.0,<3.0.0
click>=6.0
pyyaml>=3.10
voluptuous>=0.9.3
certifi>=2016.09.26

=== debian/changelog ===
elasticsearch-curator (4.2.5-1) unstable; urgency=medium

  * New upstream release

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 02 Jan 2017 14:42:36 +0200

elasticsearch-curator (4.2.4-1) unstable; urgency=medium

  * New upstream release
  * Build and ship asciidoc documentation as reference.txt.gz
  * B-D on python{3,}-voluptuous and python{3,}-yaml; required for building
    the sphinx documentation.
  * Add curator_cli(1) manpage
  * Update the curator(1) and es_repo_mgr(1) manpages

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 16 Dec 2016 14:50:51 +0200

elasticsearch-curator (4.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 10 Sep 2016 12:08:02 +0300

elasticsearch-curator (4.0.6-1) unstable; urgency=medium

  * New upstream release
  * Set elasticsearch-curator's Section to admin (Closes: #832206)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 07 Sep 2016 15:30:02 +0300

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
+               w3m,
                dh-python,
                python-all,
                python-setuptools,
@@ -13,7 +14,16 @@
                python3-all,
                python3-setuptools,
                python3-click,
-               python3-doc
+               python3-doc,
+               python-yaml,
+               python3-yaml,
+               python-voluptuous,
+               python3-voluptuous,
+               asciidoc,
+               docbook-xml,
+               docbook-xsl,
+               xsltproc,
+               libxml2-utils
 Build-Depends-Indep: libjs-jquery, python-sphinx (>= 1.0.7+dfsg-1~)
 Standards-Version: 3.9.8
 Homepage: https://github.com/elasticsearch/curator
@@ -24,6 +34,7 @@
 
 Package: elasticsearch-curator
 Architecture: all
+Section: admin
 Depends: ${misc:Depends}, ${python:Depends}, python-elasticsearch-curator (= ${binary:Version}),
          python-pkg-resources
 Description: command-line tool for managing Elasticsearch time-series indices

## elasticsearch-curator 5.2.0

=== requirements.txt ===
urllib3>=1.20
elasticsearch>=5.4.0,<6.0.0
click>=6.7
pyyaml>=3.10
voluptuous>=0.9.3
certifi>=2017.7.27.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cx_Freeze.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cx_Freeze.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/cx_Freeze"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/cx_Freeze"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
elasticsearch-curator (5.2.0-1) unstable; urgency=medium

  [ Aggelos Avgerinos ]
  * Bump standards version; no changes needed
  * Bump compat and debhelper versions; no changes needed
  * d/control: Bump python-elasticsearch dependency version

  [ Apollon Oikonomopoulos ]
  * New upstream version. (Closes: #865288)
  * Add Aggelos to Uploaders.
  * B-D on python3-sphinx.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 17 Oct 2017 10:57:54 +0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: elasticsearch-curator
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
+Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
+           Aggelos Avgerinos <evaggelos.avgerinos@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                w3m,
                dh-python,
                python-all,
                python-setuptools,
                python-click,
-               python-elasticsearch (>= 1.0.0),
+               python-elasticsearch (>= 5.0.0),
+               python-elasticsearch (<< 6.0.0),
                python-elasticsearch-doc,
                python3-all,
                python3-setuptools,
@@ -24,8 +26,10 @@
                docbook-xsl,
                xsltproc,
                libxml2-utils
-Build-Depends-Indep: libjs-jquery, python-sphinx (>= 1.0.7+dfsg-1~)
-Standards-Version: 3.9.8
+Build-Depends-Indep: libjs-jquery,
+                     python-sphinx (>= 1.0.7+dfsg-1~),
+                     python3-sphinx (>= 1.0.7+dfsg-1~)
+Standards-Version: 4.1.1
 Homepage: https://github.com/elasticsearch/curator
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/elasticsearch-curator.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/elasticsearch-curator.git
@@ -52,8 +56,8 @@
 
 Package: python-elasticsearch-curator
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-elasticsearch (>= 1.0.0),
-         python-pkg-resources
+Depends: ${misc:Depends}, ${python:Depends}, python-elasticsearch (>= 5.0.0),
+  python-elasticsearch (<< 6.0.0), python-pkg-resources
 Suggests: python-elasticsearch-curator-doc
 Description: Python library for managing Elasticsearch time-series indices
  Elasticsearch Curator helps manage Elasticsearch time-series indices. It

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=. sphinx-build -b html -N docs/ docs/.build/html
+	a2x -d book --format text docs/asciidoc/index.asciidoc
+	mv docs/asciidoc/index.text docs/asciidoc/reference.txt
 
 override_dh_clean:
 	rm -rf docs/.build

=== debian/tests/control ===
Tests: curator
Restrictions: needs-root,
              allow-stderr,
              breaks-testbed,
              isolation-container
Depends: elasticsearch,
         curl,
         python-elasticsearch-curator,
         python-mock,
         python-nose,
         python-coverage,
         python-nosexcover,
         python3-elasticsearch-curator,
         python3-mock,
         python3-nose,
         python3-coverage,
         python3-nosexcover

## elasticsearch-curator 5.8.1

=== requirements.txt ===
voluptuous>=0.9.3
elasticsearch>=7.0.4,<8.0.0
urllib3>=1.24.2,<1.25
requests>=2.20.0
boto3>=1.9.142
requests_aws4auth>=0.9
click>=6.7,<7.0
pyyaml==3.13
certifi>=2019.9.11
six>=1.11.0

=== debian/changelog ===
elasticsearch-curator (5.8.1-6) unstable; urgency=medium

  * Team upload.
  * Add Karsten Schöke to uploaders
  * Disable tests to allow python3-nose removal
  * Reformat d/control with debputy
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Fri, 28 Feb 2025 00:03:22 +0100

elasticsearch-curator (5.8.1-5) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Replace python3-nosexcover by plain python3-nose
  * Fix SyntaxWarning (Closes: #1040284)

  [ Emmanuel Arias ]
  * d/patches/0006-Bump-version-yaml-5.4.1.patch: Make elasticsearch-curator
    compatible with python3-yaml 5.4.1+ versions (Closes: #1026566).
  * d/control: Bump Standards-Version to 4.6.2 (from 4.6.0; no further changes
    needed).
  * d/control: Remove trivial autopkgtest-pkg-python.
  * d/watch: Bump file to version 4.
  * d/control: Add Rules-Requires-Root: no in the source stanza.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 07 Jun 2024 23:48:33 +0200

elasticsearch-curator (5.8.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-elasticsearch-curator-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 17:58:04 +0100

elasticsearch-curator (5.8.1-3) unstable; urgency=medium

  * Update standards version to 4.6.0, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 25 May 2022 21:06:06 +0100

elasticsearch-curator (5.8.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-requests, python3-six
      and python3-voluptuous.
    + Build-Depends-Indep: Drop versioned constraint on python3-sphinx.

 -- Sandro Tosi <morph@debian.org>  Mon, 25 Apr 2022 21:17:20 -0400

elasticsearch-curator (5.8.1-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team upload
  * New upstream version 5.8.1
  * Remove Python 2 support (Closes: #936473)
  * Bump debhelper-compat to 12
  * Bump standard version to 4.4.1
  * Update Build Depends
  * Fix override_dh_auto_clean on d/rules
  * Add me to d/copyright
  * d/rules: Remove unused targets
    - Remove override_dh_installchangelogs, it's not generated
    - Remove empty override_dh_auto_test
  * d/tests: Remove existing tests. They fail because elasticsearch binary
    was removed.
    - Add debian/tests/pkg-python/import-name to override the import name.
  * Add patch to skip tests that fail.
  * d/control: add autopkgtest-pkg-python

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Fri, 15 Nov 2019 23:06:35 -0300

=== debian/control ===
Source: elasticsearch-curator
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Apollon Oikonomopoulos <apoikos@debian.org>,
 Aggelos Avgerinos <evaggelos.avgerinos@gmail.com>,
 Karsten Schöke <Karsten.Schoeke@geobasis-bb.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 asciidoc,
 docbook-xml,
 docbook-xsl,
 libxml2-utils,
 python-elasticsearch-doc,
 python3-all,
 python3-boto3 (>= 1.9.142),
 python3-click,
 python3-doc,
 python3-elasticsearch (>= 7.0.4),
 python3-requests,
 python3-setuptools,
 python3-six,
 python3-urllib3 (>= 1.24.2),
 python3-voluptuous,
 python3-yaml,
 w3m,
 xsltproc,
Build-Depends-Indep:
 libjs-jquery,
 python3-sphinx,
Standards-Version: 4.6.2
Homepage: https://github.com/elasticsearch/curator
Vcs-Browser: https://salsa.debian.org/python-team/packages/elasticsearch-curator
Vcs-Git: https://salsa.debian.org/python-team/packages/elasticsearch-curator.git
Rules-Requires-Root: no
X-Style: black

Package: elasticsearch-curator
Architecture: all
Section: admin
Depends:
 python3-elasticsearch-curator (= ${binary:Version}),
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Description: command-line tool for managing Elasticsearch time-series indices
 Elasticsearch Curator helps manage Elasticsearch time-series indices. It
 consists of a Python library and a CLI tool providing a high-level interface
 to Elasticsearch administration tasks, such as:
 .
  - Management of index aliases
  - Index optimization
  - Changing the replica count
  - Modifying the shard/index allocation using routing tags
  - Index snapshotting
 .
 This package contains the curator and es_repo_mgr command-line tools.

Package: python3-elasticsearch-curator
Architecture: all
Depends:
 python3-elasticsearch (>= 7.0.4),
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-elasticsearch-curator-doc,
Description: Python 3 library for managing Elasticsearch time-series indices
 Elasticsearch Curator helps manage Elasticsearch time-series indices. It
 consists of a Python library and a CLI tool providing a high-level interface
 to Elasticsearch administration tasks, such as:
 .
  - Management of index aliases
  - Index optimization
  - Changing the replica count
  - Modifying the shard/index allocation using routing tags
  - Index snapshotting
 .
 This package contains the Python 3 version of the library.

Package: python-elasticsearch-curator-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Python library for managing Elasticsearch time-series indices (documentation)
 Elasticsearch Curator helps manage Elasticsearch time-series indices. It
 consists of a Python library and a CLI tool providing a high-level interface
 to Elasticsearch administration tasks, such as:
 .
  - Management of index aliases
  - Index optimization
  - Changing the replica count
  - Modifying the shard/index allocation using routing tags
  - Index snapshotting
 .
 This package contains the Python library documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=elasticsearch-curator

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ docs/.build/html
	a2x -d book --format text docs/asciidoc/index.asciidoc
	mv docs/asciidoc/index.text docs/asciidoc/reference.txt

override_dh_auto_test:
	# disabled to allow Nose removal

override_dh_auto_clean:
	-dh_auto_clean
	rm -rf docs/.build
	rm -f docs/asciidoc/reference.txt
	rm -rf build
	find . | grep -E "(__pycache__|\.pyc|\.egg)" | xargs rm -rf
	rm -rf .pybuild/
	rm -rf debian/.debhelper/
	rm -f debian/debhelper-build-stamp
	rm -f debian/*.debhelper
	rm -f debian/*.substvars
	rm -f debian/files
	rm -rf debian/elasticsearch-curator/
	rm -rf debian/python3-elasticsearch-curator/
	rm -rf debian/python-elasticsearch-curator-doc/

execute_after_dh_auto_install:
	mv debian/python3-elasticsearch-curator/usr/bin debian/elasticsearch-curator/usr
	rm -rf debian/python3-elasticsearch-curator/usr/bin

=== debian/watch ===
version=4

opts="uversionmangle=s/(\.rc|[ab]\d+)/~$1/" \
  https://github.com/elasticsearch/curator/tags .*/v(.*).tar.gz

## elasticsearch-curator 8.0.20

=== debian/changelog ===
elasticsearch-curator (8.0.20-2) unstable; urgency=medium

  * Team upload.
  * Tighten dependencies for smoother migration to Trixie.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 01 Apr 2025 08:07:58 +0200

elasticsearch-curator (8.0.20-1) unstable; urgency=medium

  * New upstream version 8.0.20 (Closes: #1053459, #1044469)
  * d/control: python3-pkg-resources is no longer needed.
  * d/control: fix my email case sensitivity.
  * delete obsolete patches.
  * use sphinx-build
  * d/control: enable testing
  * d/control: new dependencies after version upgrade. (Closes: #1083377)
  * d/copyright: Update license date & insert myself.

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Mon, 31 Mar 2025 23:26:51 +0200

## elasticsearch-curator 8.0.21

=== debian/changelog ===
elasticsearch-curator (8.0.21-1) unstable; urgency=medium

  * New upstream version 8.0.21
  * Rediff patches

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Wed, 02 Apr 2025 07:46:15 +0200

=== debian/control ===
Source: elasticsearch-curator
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
           Aggelos Avgerinos <evaggelos.avgerinos@gmail.com>,
           Karsten Schöke <karsten.schoeke@geobasis-bb.de>,
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               asciidoc,
               docbook-xml,
               docbook-xsl,
               libxml2-utils,
               pybuild-plugin-pyproject,
               python-click-doc,
               python-elasticsearch-doc,
               python3-all,
               python3-doc,
               python3-es-client,
               python3-hatchling,
               w3m,
               xsltproc,
Build-Depends-Indep: libjs-jquery,
                     python3-pytest <!nocheck>,
                     python3-pytest-cov <!nocheck>,
                     python3-sphinx <!nodoc>,
                     python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://github.com/elasticsearch/curator
Vcs-Browser: https://salsa.debian.org/python-team/packages/elasticsearch-curator
Vcs-Git: https://salsa.debian.org/python-team/packages/elasticsearch-curator.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: elasticsearch-curator
Architecture: all
Section: admin
Depends: python3-elasticsearch-curator (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
Description: command-line tool for managing Elasticsearch time-series indices
 Elasticsearch Curator helps manage Elasticsearch time-series indices. It
 consists of a Python library and a CLI tool providing a high-level interface
 to Elasticsearch administration tasks, such as:
 .
  - Management of index aliases
  - Index optimization
  - Changing the replica count
  - Modifying the shard/index allocation using routing tags
  - Index snapshotting
 .
 This package contains the curator and es_repo_mgr command-line tools.

Package: python3-elasticsearch-curator
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-elasticsearch8,
Suggests: python-elasticsearch-curator-doc,
Description: Python 3 library for managing Elasticsearch time-series indices
 Elasticsearch Curator helps manage Elasticsearch time-series indices. It
 consists of a Python library and a CLI tool providing a high-level interface
 to Elasticsearch administration tasks, such as:
 .
  - Management of index aliases
  - Index optimization
  - Changing the replica count
  - Modifying the shard/index allocation using routing tags
  - Index snapshotting
 .
 This package contains the Python 3 version of the library.

Package: python-elasticsearch-curator-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Python library for managing Elasticsearch time-series indices (documentation)
 Elasticsearch Curator helps manage Elasticsearch time-series indices. It
 consists of a Python library and a CLI tool providing a high-level interface
 to Elasticsearch administration tasks, such as:
 .
  - Management of index aliases
  - Index optimization
  - Changing the replica count
  - Modifying the shard/index allocation using routing tags
  - Index snapshotting
 .
 This package contains the Python library documentation.

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/elastic/curator.git \
      refs/tags/@ANY_VERSION@

## elasticsearch-curator 9.0.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Elasticsearch.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Elasticsearch.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Elasticsearch"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Elasticsearch"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
elasticsearch-curator (9.0.0-1) unstable; urgency=medium

  * New upstream version 9.0.0
  * Rediff patches
  * d/control: add Breaks: python3-es-client (<< 9.0.0-1~),
               change to elasticsearch9 (Closes: #1110793)
  * d/control: Drop Rules-Requires-Root: no,
               default since dpkg 1.22.13

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Wed, 08 Oct 2025 12:35:43 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,6 @@
 Homepage: https://github.com/elasticsearch/curator
 Vcs-Browser: https://salsa.debian.org/python-team/packages/elasticsearch-curator
 Vcs-Git: https://salsa.debian.org/python-team/packages/elasticsearch-curator.git
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: elasticsearch-curator
@@ -39,6 +38,7 @@
 Depends: python3-elasticsearch-curator (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
+Breaks: python3-es-client (<< 9.0.0-1~),
 Description: command-line tool for managing Elasticsearch time-series indices
  Elasticsearch Curator helps manage Elasticsearch time-series indices. It
  consists of a Python library and a CLI tool providing a high-level interface
@@ -56,8 +56,9 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-elasticsearch8,
+         python3-elasticsearch9,
 Suggests: python-elasticsearch-curator-doc,
+Breaks: python3-es-client (<< 9.0.0-1~),
 Description: Python 3 library for managing Elasticsearch time-series indices
  Elasticsearch Curator helps manage Elasticsearch time-series indices. It
  consists of a Python library and a CLI tool providing a high-level interface

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=elasticsearch-curator

# no elasticsearch test instance availible
# deactivate integration tests
export PYBUILD_TEST_ARGS=\
 --ignore=tests/integration \
 -k 'not test_format \
 '

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -N -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. sphinx-build $(SPHINXOPTS) -b html -N docs build/html
	a2x -d book --format text docs/asciidoc/index.asciidoc
	mv docs/asciidoc/index.text docs/asciidoc/reference.txt

execute_after_dh_auto_install:
	mv debian/python3-elasticsearch-curator/usr/bin debian/elasticsearch-curator/usr
	rm -rf debian/python3-elasticsearch-curator/usr/bin
